package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BonjourServiceDetailOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BonjourServiceDetailOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("serviceIds")
  @Valid
  private List<String> serviceIds = null;

  @JsonProperty("defaultProfile")
  private Boolean defaultProfile;

  public BonjourServiceDetailOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * The id of Bonjour Service.
   * @return id
  */
  @ApiModelProperty(value = "The id of Bonjour Service.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public BonjourServiceDetailOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * The name of Bonjour Service should contain 1 to 64 characters.
   * @return name
  */
  @ApiModelProperty(value = "The name of Bonjour Service should contain 1 to 64 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public BonjourServiceDetailOpenApiVo serviceIds(List<String> serviceIds) {
    this.serviceIds = serviceIds;
    return this;
  }

  public BonjourServiceDetailOpenApiVo addServiceIdsItem(String serviceIdsItem) {
    if (this.serviceIds == null) {
      this.serviceIds = new ArrayList<>();
    }
    this.serviceIds.add(serviceIdsItem);
    return this;
  }

  /**
   * The Service ID list of Bonjour Service. Service ID is a string in \"_A._B.local\" format, where \"A\" can be lowercase letters/numbers/hyphens (-)/underscore (_), and \"B\" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list.
   * @return serviceIds
  */
  @ApiModelProperty(value = "The Service ID list of Bonjour Service. Service ID is a string in \"_A._B.local\" format, where \"A\" can be lowercase letters/numbers/hyphens (-)/underscore (_), and \"B\" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list.")


  public List<String> getServiceIds() {
    return serviceIds;
  }

  public void setServiceIds(List<String> serviceIds) {
    this.serviceIds = serviceIds;
  }

  public BonjourServiceDetailOpenApiVo defaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
    return this;
  }

  /**
   * Indicating that this profile is default which can not be modified.
   * @return defaultProfile
  */
  @ApiModelProperty(value = "Indicating that this profile is default which can not be modified.")


  public Boolean getDefaultProfile() {
    return defaultProfile;
  }

  public void setDefaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BonjourServiceDetailOpenApiVo bonjourServiceDetailOpenApiVo = (BonjourServiceDetailOpenApiVo) o;
    return Objects.equals(this.id, bonjourServiceDetailOpenApiVo.id) &&
        Objects.equals(this.name, bonjourServiceDetailOpenApiVo.name) &&
        Objects.equals(this.serviceIds, bonjourServiceDetailOpenApiVo.serviceIds) &&
        Objects.equals(this.defaultProfile, bonjourServiceDetailOpenApiVo.defaultProfile);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, serviceIds, defaultProfile);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BonjourServiceDetailOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    serviceIds: ").append(toIndentedString(serviceIds)).append("\n");
    sb.append("    defaultProfile: ").append(toIndentedString(defaultProfile)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

